Comments
Edit a reply
Updates the content or metadata of a specific child comment within a team. Only the original author of the child comment can modify it. Required Parameters:
- team_id (path): Unique identifier for the team.
- comment_id (path): Unique identifier for the parent comment.
- child_comment_id (path): Unique identifier for the child comment.
- body (body): Object containing:
- content (string): Updated text of the comment (nullable, max length: 16,384 characters).
- schema (integer): Optional schema version for the update (nullable). Returns a 200 status code with the updated comment details or an error object in case of failure.
PATCH
/
{team_id}
/
comments
/
{comment_id}
/
children
/
{child_comment_id}
Update a child comment
curl --request PATCH \
--url https://api.superthread.com/v1/{team_id}/comments/{comment_id}/children/{child_comment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Sounds great!",
"content_format": "html",
"schema": 1
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/comments/{comment_id}/children/{child_comment_id}"
payload = {
"content": "Sounds great!",
"content_format": "html",
"schema": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'Sounds great!', content_format: 'html', schema: 1})
};
fetch('https://api.superthread.com/v1/{team_id}/comments/{comment_id}/children/{child_comment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"child_comment": {
"id": "42",
"content": "Good point!",
"is_internal": true,
"schema": 1,
"page_id": "431",
"card_id": "433",
"user_id": "u-dsu0j19",
"user": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"user_updated": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"team_id": "u-dsu0j19",
"time_created": 1608742037016,
"time_updated": 1608742037016,
"reactions": [
{
"id": "sweat_smile",
"unicode": "<string>",
"members": [
{
"user_id": "<string>",
"time_created": 1608742037016,
"variation": "<string>"
}
]
}
],
"health_update_metadata": {
"previous": "on_track",
"new": "on_track",
"time": 1608742037016
},
"parent_id": "1"
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Comment ID is a numerical string that identifies a Comment.
Child comment ID
Body
application/json
Update request
Maximum string length:
102400Example:
"Sounds great!"
Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.
Available options:
html, markdown Example:
1
Response
comment updated
Show child attributes
Show child attributes
⌘I
Update a child comment
